Subject: Re: bug#31324: 26.0.91; Wrong AXSubrole of childframe on macOS

From: Fu Yuan <[email-masked]>
Date: Sun, 20 May 2018 14:33:28 +0800

Hi Alan,

I applied the patch and rebuilt Emacs, then ran

    (let ((frame (selected-frame)))
      (make-frame-command)
      (set-frame-parameter nil 'parent-frame frame))

And the subrole of the new frame is now “AXFloatingWindow”.

I think that will do it. It there anything else that I can do?

Sincerely, Yuan.

On May 13, 2018, 6:33 PM +0800, Alan Third <[email-masked]>, wrote:
> On Sun, May 13, 2018 at 06:17:10PM +0800, Fu Yuan wrote:
> > Hi Alan,
> >
> > Where should I get the Emacs source files?
> > I was getting those from emacs mirror on GitHub master branch.
> > Last time I manually edited your fix and noticed that line numbers doesn’t match.
> > So I guess you are not using HEAD version to create those patches.
> >
> > What version or commit or branch should I use?
>
> The easiest way is to use git to get the emacs-26 branch, either from
> savannah or emacs mirror. Then apply the patches using:
>
> git am <patch‐file‐name
>
> This applies the patch as a commit in git.
> --
> Alan Third